FreeBSD : eggdrop -- denial of service vulnerability (399f4cd7-4d59-11de-8811-0030843d3802)

Medium Nessus Plugin ID 38963


The remote FreeBSD host is missing a security-related update.


Secunia reports :

The vulnerability is caused due to an error in the processing of private messages within the server module (/mod/server.mod/servrmsg.c). This can be exploited to cause a crash by sending a specially crafted message to the bot.


Update the affected package.

See Also

Plugin Details

Severity: Medium

ID: 38963

File Name: freebsd_pkg_399f4cd74d5911de88110030843d3802.nasl

Version: $Revision: 1.10 $

Type: local

Published: 2009/06/01

Modified: 2016/05/09

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.3

Temporal Score: 3.7

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:eggdrop, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2009/05/30

Vulnerability Publication Date: 2009/05/15

Reference Information

CVE: CVE-2009-1789

BID: 34985

Secunia: 35104